package org.springblade.common.utils;

/**
 * 任务结果数据
 *
 * @param <T>
 */
public class TaskResult<T> {
	/**
	 * 任务Id
	 */
	private String taskId;

	/**
	 * 返回数据
	 */
	private T data;

	public String getTaskId() {
		return taskId;
	}

	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	@Override
	public String toString() {
		return "TaskResult{" +
			"taskId='" + taskId + '\'' +
			", data=" + data +
			'}';
	}
}
